# Firefly Database Viewer

A web-based viewer for Firefly databases with support for strings, lists, and hash tables.

## Features

- View all Firefly database keys and their values
- Support for different data types (string, list, hash)
- Modern, responsive UI with dark mode support
- Real-time data refresh
- Color-coded data type indicators

## Installation

### From Source

1. Clone the repository and navigate to the project directory

2. Create a virtual environment (recommended):
```bash
python -m venv .venv
source .venv/bin/activate  # On Windows: .venv\Scripts\activate
```

3. Install the package in development mode:
```bash
pip install -e .
```

### Using pip (when published)

```bash
pip install firefly-viewer
```

## Configuration

Create a `.env` file in your working directory with your Firefly connection details:

```env
FIREFLY_HOST=localhost
FIREFLY_PORT=6379
FIREFLY_PASSWORD=your_password
FIREFLY_DEBUG=false
```

## Usage

### Command Line Interface

Start the viewer using the command-line interface:

```bash
firefly-viewer
```

Options:
- `--host`: Host to bind to (default: 0.0.0.0)
- `--port`: Port to bind to (default: 5000)
- `--debug/--no-debug`: Enable/disable debug mode

Example:
```bash
firefly-viewer --host 127.0.0.1 --port 8000 --debug
```

### Web Interface

1. Open your web browser and navigate to the URL shown in the console (default: http://localhost:5000)
2. Use the "Refresh Data" button to update the view with the latest database contents
3. Toggle between light and dark themes using the theme button

## Requirements

- Python 3.7+
- Firefly database server
- Modern web browser